Bug 506844 - Review Request: audex - kde4 audio ripper
Review Request: audex - kde4 audio ripper
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wesley S. Hearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 17:14 EDT by Roland Wolters
Modified: 2009-11-10 20:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-10 20:21:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gr33nn1nj4: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Roland Wolters 2009-06-18 17:14:10 EDT
Spec URL: http://fedorapeople.org/~liquidat/audex-1.spec
SRPM URL: http://fedorapeople.org/~liquidat/audex-0.71b3-1.fc10.src.rpm

Description:
audex is a new audio grabber tool for CD-ROM drives based
on KDE 4. Although it is still under development, it is published as
a beta version. It is being tested by some testers and this program
may change on the way to its first stable 1.0-release.

What I've tested so far:
$ rpmlint audex-0.71b3-1.fc10.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint audex-debuginfo-0.71b3-1.fc10.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint audex-0.71b3-1.fc10.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Thins I'm not 100% certain about with this package:
- Handling of icons is done according to
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets
Still, I'm not 100% sure if everything is perfect.
- The program is Beta, but the current version will be released as final if no new bugs come up (the developer told me, I know him personally). Should I wait for final or should we launch this version, if the spec is all right?
Comment 1 Wesley S. Hearn 2009-06-18 18:16:49 EDT
[OK] MUST: rpmlint must be run on every package. The output should be posted in the review.
[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[OK] MUST: The License field in the package spec file must match the actual license.
[OK] MUST: The package must meet the  Packaging Guidelines . 
[OK] MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines . 
[OK] MUST: The License field in the package spec file must match the actual license.
[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The package <b>MUST</b> successfully compile and build into binary rpms on at least one primary architecture.
[OK] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[--] MUST: The spec file MUST handle locales properly. This is done by using the <code>%find_lang</code> macro. Using <code>%{_datadir}/locale/*</code> is strictly forbidden.
[OK] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in <code>%post</code> and <code>%postun</code>.
[OK] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[OK] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[OK] MUST: A Fedora package must not list a file more than once in the spec file's&nbsp;%files listings.
[OK] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every <code>%files</code> section must include a <code>%defattr(...)</code> line.
[OK] MUST: Each package must have a&nbsp;%clean section, which contains <code>rm -rf&nbsp;%{buildroot}</code> (<a href="/wiki/Packaging/Guidelines#UsingBuildRootOptFlags" title="Packaging/Guidelines" class="mw-redirect">or $RPM_BUILD_ROOT</a>).
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[OK] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[OK] MUST: If a package includes something as&nbsp;%doc, it must not affect the runtime of the application. To summarize: If it is in&nbsp;%doc, the program must run properly if it is not present.
[OK] MUST: Header files must be in a -devel package.
[OK] MUST: Static libraries must be in a -static package.
[OK] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[OK] MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[OK] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: <code>Requires:&nbsp;%{name} =&nbsp;%{version}-%{release} </code>
[OK] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[OK] MUST: Packages containing GUI applications must include a&nbsp;%{name}.desktop file, and that file must be properly installed with desktop-file-install in the&nbsp;%install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[OK] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the <code>filesystem</code> or <code>man</code> package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[OK] MUST: At the beginning of <code>%install</code>, each package MUST run <code>rm -rf&nbsp;%{buildroot}</code> (<a href="/wiki/Packaging/Guidelines#UsingBuildRootOptFlags" title="Packaging/Guidelines" class="mw-redirect">or $RPM_BUILD_ROOT</a>).
[OK] MUST: All filenames in rpm packages must be valid UTF-8.
[OK] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[--] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[OK] SHOULD: The reviewer should test that the package builds in mock.
[OK] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[OK] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[OK] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[OK] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[OK] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.  A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[OK] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
Comment 2 Wesley S. Hearn 2009-06-18 18:18:02 EDT
You should not do %{_kde4_datadir}/locale/*/LC_MESSAGES/audex.mo
Comment 3 Wesley S. Hearn 2009-06-18 22:15:38 EDT
Ad the Spec file ame should just be audex.spec
Comment 4 Rex Dieter 2009-06-18 23:26:23 EDT
Small suggestion, just use
Summary: Audio ripper
mentioning kde or even kde4 there adds little value
Comment 5 Roland Wolters 2009-06-21 15:26:16 EDT
Wesley, the spec file is of course just named audex.spec. I added the "-1" to distinguish the different versions while the spec file evolves through the review process. Anyway, here are the new files:

Spec URL: http://fedorapeople.org/~liquidat/audex.spec
SRPM URL: http://fedorapeople.org/~liquidat/audex-0.71b3-2.fc10.src.rpm

I've fixed the language thing, fixed the summary and the spec file name (see above). I can't fix the translation because upstream doesn't provide a proper description right now. But I will ask for it once I see the developer next time. That might take some time, though.
Comment 6 Wesley S. Hearn 2009-06-23 00:59:21 EDT
Ok, I get a 404 for the site, you need to have it point to the actual site.
and the version is wrong http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Package_Version It should be audex-0.71-0.1.beta3
Comment 7 Roland Wolters 2009-06-23 11:01:30 EDT
You're right, the URL was deprecated - I fixed that.
Also, I changed the beta part as requested:
Spec URL: http://fedorapeople.org/~liquidat/audex.spec
SRPM URL: http://fedorapeople.org/~liquidat/audex-0.71-0.1.beta3.fc10.src.rpm

Looks better now :)
Comment 8 Wesley S. Hearn 2009-06-23 12:05:51 EDT
The site says GPLv3 but in the SPEC you have version GPLv2. So yeah, you need to change it to GPLv3.
Comment 9 Roland Wolters 2009-06-23 15:11:19 EDT
Hm, the source is however distributed with the GPL2 license text, and all source files say GPLv2+, so I went for that instead of the text on the homepage.
Also, cddaheaderwidget.cpp is GPLv2. So what is the correct license for the spec file?
Comment 10 Wesley S. Hearn 2009-06-23 23:04:40 EDT
Uhmm, I say contact upstream and ask if it is 2 or 3.
Comment 11 Wesley S. Hearn 2009-06-23 23:07:46 EDT
because of this clause "either version 2
of the License, or (at your option) any later version." (sorry that was supposed to be posted it in the above message)
Comment 12 Roland Wolters 2009-06-24 02:51:44 EDT
I've asked for a statement by upstream, let's see what he says.
Comment 13 Terje Røsten 2009-06-24 03:37:37 EDT
Nice app, thanks for doing the integration!

A bit unfair to report bugs before the package is approved, however I tried to
rip to flac using the FLAC profile, however the file ended up as an ogg file (sic!).

Could you please have a look?
Comment 14 Wesley S. Hearn 2009-06-24 12:58:36 EDT
Terje, I have ripped 2 cds testing and they came out as flac files.. maybe check your settings ad report to upstream?
Comment 15 Roland Wolters 2009-06-25 13:03:07 EDT
Upstream has reacted to the license question and uploaded a new version which addressed all these issues.
I've changed the licence to GPLv3+ and built against the newest upstream release, beta4:
Spec URL: http://fedorapeople.org/~liquidat/audex.spec
SRPM URL: http://fedorapeople.org/~liquidat/audex-0.71-0.1.beta4.fc10.src.rpm
Comment 16 Wesley S. Hearn 2009-06-26 20:34:11 EDT
Upstream bug, about dialog says beta3 and the sources still have the name for beta3. So the package needs to be beta3.
Comment 17 Roland Wolters 2009-06-27 04:13:59 EDT
No, it was in fact my fault: the beta version is hardcoded in the source file URL and I forgot to change it there.
Sorry for that, I've fixed it now, please check again.
Comment 18 Wesley S. Hearn 2009-06-27 11:49:12 EDT
Terje: any news on your bug? if not i will look over this one more time and then mark it as approved...
Comment 19 Terje Røsten 2009-06-27 13:56:40 EDT
Had to reinstall the rawhide system I was testing on, now I can't reproduce the failure. In fact it just work(tm). Sorry for the noise, please continue the review.
Comment 20 Wesley S. Hearn 2009-06-27 14:30:52 EDT
[OK] MUST: rpmlint must be run on every package. The output should be posted in
the review.
[OK] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.
[OK] MUST: The License field in the package spec file must match the actual
license.
[OK] MUST: The package must meet the  Packaging Guidelines . 
[OK] MUST: The package must be licensed with a Fedora approved license and meet
the  Licensing Guidelines . 
[OK] MUST: The License field in the package spec file must match the actual
license.
[OK] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The package <b>MUST</b> successfully compile and build into binary
rpms on at least one primary architecture.
[OK] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line.
[OK] MUST: The spec file MUST handle locales properly. This is done by using
the <code>%find_lang</code> macro. Using <code>%{_datadir}/locale/*</code> is
strictly forbidden.
[OK] MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in <code>%post</code> and <code>%postun</code>.
[OK] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
[OK] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[OK] MUST: A Fedora package must not list a file more than once in the spec
file's&nbsp;%files listings.
[OK] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every <code>%files</code> section
must include a <code>%defattr(...)</code> line.
[OK] MUST: Each package must have a&nbsp;%clean section, which contains
<code>rm -rf&nbsp;%{buildroot}</code> (<a
href="/wiki/Packaging/Guidelines#UsingBuildRootOptFlags"
title="Packaging/Guidelines" class="mw-redirect">or $RPM_BUILD_ROOT</a>).
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[OK] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity).
[OK] MUST: If a package includes something as&nbsp;%doc, it must not affect the
runtime of the application. To summarize: If it is in&nbsp;%doc, the program
must run properly if it is not present.
[OK] MUST: Header files must be in a -devel package.
[OK] MUST: Static libraries must be in a -static package.
[OK] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
[OK] MUST: If a package contains library files with a suffix
(e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must
go in a -devel package.
[OK] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: <code>Requires:&nbsp;%{name}
=&nbsp;%{version}-%{release} </code>
[OK] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.
[OK] MUST: Packages containing GUI applications must include
a&nbsp;%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the&nbsp;%install section. If you feel that your
packaged GUI application does not need a .desktop file, you must put a comment
in the spec file with your explanation.
[OK] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the <code>filesystem</code> or
<code>man</code> package. If you feel that you have a good reason to own a file
or directory that another package owns, then please present that at package
review time.
[OK] MUST: At the beginning of <code>%install</code>, each package MUST run
<code>rm -rf&nbsp;%{buildroot}</code> (<a
href="/wiki/Packaging/Guidelines#UsingBuildRootOptFlags"
title="Packaging/Guidelines" class="mw-redirect">or $RPM_BUILD_ROOT</a>).
[OK] MUST: All filenames in rpm packages must be valid UTF-8.
[OK] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
[--] SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
[OK] SHOULD: The reviewer should test that the package builds in mock.
[OK] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[OK] SHOULD: The reviewer should test that the package functions as described.
A package should not segfault instead of running, for example.
[OK] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
vague, and left up to the reviewers judgement to determine sanity.
[OK] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[OK] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase,
and this is usually for development purposes, so should be placed in a -devel
pkg.  A reasonable exception is that the main pkg itself is a devel tool not
installed in a user runtime, e.g. gcc or gdb.
[OK] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself.  

[JKnife@Lappy result]$ rpmlint audex-0.71-0.1.beta4.fc11.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[JKnife@Lappy result]$ rpmlint audex-debuginfo-0.71-0.1.beta4.fc11.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[JKnife@Lappy result]$ rpmlint audex-0.71-0.1.beta4.fc11.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Everything looks good..
Comment 21 Wesley S. Hearn 2009-06-27 14:33:04 EDT
APPROVED
Comment 22 Terje Røsten 2009-06-28 04:45:31 EDT
Beta 5 is released: http://opensource.maniatek.de/audex/download.html
Please send a email upstream so they can add Fedora to the list on that page too.
Comment 23 Roland Wolters 2009-06-28 17:42:31 EDT
Terje: I am in close tontact with upstream and will inform them about the packages once they are available.
Also, I will build the Beta 5 when the current, approved version beta 4 has been build successfully.
Comment 24 Roland Wolters 2009-06-28 17:45:59 EDT
New Package CVS Request
=======================
Package Name: audex
Short Description: Audio ripper
Owners: liquidat
Branches: F-10 F-11
Comment 25 Jason Tibbitts 2009-06-29 13:05:33 EDT
CVS done.
Comment 26 Terje Røsten 2009-11-09 14:16:50 EST
Why is this ticket still open?
Comment 27 Roland Wolters 2009-11-10 20:21:46 EST
Terje, thanks for pointing out. Closing but as NEXTRELEASE since the package is part of Fedora already quite some time.

Note You need to log in before you can comment on or make changes to this bug.